﻿/* Pop-up Ribbon Widget */

/* Theme - Ribbon */

/* FOR TESTING PURPOSES */
.mp-results{
    display:none !important;
}

.popup-banner-wrapper.theme-ribbon {
    display: flex !important;
    justify-content: center;
    align-items: center;
    position: fixed;
    top: auto;
    bottom: auto;
    left: auto;
    right: auto;
    /* top: 36px; */
    /* right: -86px; */
    /*    top: calc(7px + 1.4vw);
    left: calc(-116px + 1.7vw);*/
    z-index: 10001;
    /* background: #004078; */
    background: #292929;
    padding: 4px 100px;
    transform: rotate(-34deg);
    color: #fff;
    font-family: 'Roboto', 'Lato', sans-serif;
    font-size: calc(12px + 0.4vw);
    text-align: center;
    border: 4px solid #fff;
    -webkit-box-shadow: 0 1px 2px 0 rgba(0,0,0,.3);
    -moz-box-shadow: 0 1px 2px 0 rgba(0,0,0,.3);
    box-shadow: 0 1px 5px 0 rgba(0,0,0,.3);
    text-transform: uppercase;
    transition: 0.7s 0.2s left ease-in-out, 0.7s 0.2s right ease-in-out, 0.7s 0.2s top ease-in-out, 0.7s 0.2s bottom ease-in-out, 0.9s filter ease;
}

.popup-banner-wrapper.theme-ribbon * {
    color: white;
}

html.has-popup-ribbon.slider-on .popup-banner-wrapper.theme-ribbon.placement-top-right-bottom-right,
html.has-popup-ribbon.slider-on .popup-banner-wrapper.theme-ribbon.placement-top-left-bottom-right {
    z-index: 9999;
    bottom: -8rem;
    right: -12rem;
}

.popup-banner-wrapper.theme-ribbon.placement-top-left-bottom-right {
    top: auto;
    bottom: -19rem;
    left: -12rem;
}

.popup-banner-wrapper.theme-ribbon.placement-top-right-bottom-right {
    left: auto;
    top: auto;
    bottom: -12rem;
    right: -19rem;
}

.has-popup-ribbon .popup-banner-wrapper.theme-ribbon.placement-top-left-bottom-right {
    top: auto;
    bottom: 2.75rem;
    left: -6.5rem;
    transform: rotate(34deg);
}

.has-popup-ribbon .popup-banner-wrapper.theme-ribbon.placement-top-right-bottom-right {
    left: auto;
    top: auto;
    bottom: 2.75rem;
    right: -6.5rem;
    transform: rotate(-34deg);
}

.popup-banner-wrapper.theme-ribbon.color-orange {
    background: #c73500;
}

.popup-banner-wrapper.theme-ribbon:hover {
    /*background: #0063bd;*/
    /*background: #5000b9;*/
    filter: brightness(1.25);
    text-decoration: none !important;
}

.popup-banner-wrapper.theme-ribbon h2 {
    padding-top: 0;
    margin-bottom: 0;
    font-size: 1rem;
    line-height: 1.2;
}

.popup-banner-wrapper.theme-ribbon h2 span {
    display: block;
    text-transform: none;
    font-size: 0.9rem;
}

@media only screen and (min-width: 105rem){
    
    .popup-banner-wrapper.theme-ribbon.placement-top-left-bottom-right {
        top: -12rem;
        bottom: auto;
        left: -32rem;
        right: auto;
    }

    .popup-banner-wrapper.theme-ribbon.placement-top-right-bottom-right {
        top: -12rem;
        bottom: auto;
        left: auto;
        right: -19rem;
    }

    .has-popup-ribbon .popup-banner-wrapper.theme-ribbon.placement-top-left-bottom-right {
        top: 3.5rem;
        bottom: auto;
        left: -6.25rem;
        right: auto;
        transform: rotate(-34deg);
    }

    .has-popup-ribbon .popup-banner-wrapper.theme-ribbon.placement-top-right-bottom-right {
        top: 3.5rem;
        bottom: auto;
        left: auto;
        right: -6.25rem;
        transform: rotate(34deg);
    }

    .popup-banner-wrapper.theme-ribbon h2 {
        font-size: 1.2rem;
    }
}